Last FM Installation - Suse

This is a discussion on Last FM Installation - Suse ; Does anyone know of a Last FM package (source or binary) that can be installed on SUSE 11.0. The source download from the Last FM site will not build. Chris Gordon-Smith www.simsoup.info...

+ Reply to Thread
Results 1 to 11 of 11

Thread: Last FM Installation

  1. Last FM Installation

    Does anyone know of a Last FM package (source or binary) that can be
    installed on SUSE 11.0. The source download from the Last FM site will not
    build.

    Chris Gordon-Smith
    www.simsoup.info

  2. Re: Last FM Installation

    Hi Chris,

    Chris Gordon-Smith wrote:

    > Does anyone know of a Last FM package (source or binary) that can be
    > installed on SUSE 11.0.


    Have a look aon the packman repository.
    lastfm-1.4.2.58240-1.pm.1 is running fine here.

    Regards Klaus


    --
    Download the *final* Windows Service Pack: http://www.linux.org

  3. Re: Last FM Installation

    Klaus Petsch wrote:
    > Hi Chris,
    >
    > Chris Gordon-Smith wrote:
    >
    >> Does anyone know of a Last FM package (source or binary) that can be
    >> installed on SUSE 11.0.

    >
    > Have a look aon the packman repository.
    > lastfm-1.4.2.58240-1.pm.1 is running fine here.


    What exactly is the aim of this? To play last.fm radio or scrobble the
    music you listen to on your computer? Amarok can do both (I think. I'm
    sure it does the latter because I use it for that.)

    As for scrobbling the music played on the iPod, I still haven't figured
    out how to run that. There is a package, but last time I checked, some
    dependencies weren't available.

    Luca
    --
    "There are two things in the world
    you never wanna let people see
    how you make 'em: laws and sausages."

  4. Re: Last FM Installation

    Klaus Petsch wrote:

    > Hi Chris,
    >
    > Chris Gordon-Smith wrote:
    >
    >> Does anyone know of a Last FM package (source or binary) that can be
    >> installed on SUSE 11.0.

    >
    > Have a look aon the packman repository.
    > lastfm-1.4.2.58240-1.pm.1 is running fine here.
    >
    > Regards Klaus
    >
    >

    Thanks.

    I can find this for SUSE 10.3, but not for SUSE 11.0. The SUSE 10.3 version
    refuses to install, saying that it needs libmad.so.0.

    Chris Gordon-Smith
    www.simsoup.info

  5. Re: Last FM Installation

    Luca wrote:

    > Klaus Petsch wrote:
    >> Hi Chris,
    >>
    >> Chris Gordon-Smith wrote:
    >>
    >>> Does anyone know of a Last FM package (source or binary) that can be
    >>> installed on SUSE 11.0.

    >>
    >> Have a look aon the packman repository.
    >> lastfm-1.4.2.58240-1.pm.1 is running fine here.

    >
    > What exactly is the aim of this? To play last.fm radio or scrobble the
    > music you listen to on your computer? Amarok can do both (I think. I'm
    > sure it does the latter because I use it for that.)
    >
    > As for scrobbling the music played on the iPod, I still haven't figured
    > out how to run that. There is a package, but last time I checked, some
    > dependencies weren't available.
    >
    > Luca


    I just want to see what features the program has, and to see how it compares
    with Amarok and Banshee (neither of which work very well on my PC).

    Chris Gordon-Smith
    www.simsoup.info



  6. Re: Last FM Installation

    Hi Gordon

    Chris Gordon-Smith wrote:


    > Thanks.
    >
    > I can find this for SUSE 10.3, but not for SUSE 11.0. The SUSE 10.3
    > version refuses to install, saying that it needs libmad.so.0.

    Here it is:
    http://packman.links2linux.de/package/lastfm
    There are several depencies, but installing with yast it should work.

    Greetings Klaus

    --
    Download the *final* Windows Service Pack: http://www.linux.org

  7. Re: Last FM Installation

    Chris Gordon-Smith wrote:

    > Does anyone know of a Last FM package (source or binary) that can be
    > installed on SUSE 11.0. The source download from the Last FM site will not
    > build.
    >
    > Chris Gordon-Smith
    > www.simsoup.info

    When you ran ./configure what error did you get ? I suspect you need to
    install libipoddevice, libipoddevice-devel, libgpod3 & libgpopd3-devel.
    All are in the repositories.

  8. Re: Last FM Installation

    Klaus Petsch wrote:
    > Hi Gordon
    >
    > Chris Gordon-Smith wrote:
    >
    >
    >> Thanks.
    >>
    >> I can find this for SUSE 10.3, but not for SUSE 11.0. The SUSE 10.3
    >> version refuses to install, saying that it needs libmad.so.0.

    > Here it is:
    > http://packman.links2linux.de/package/lastfm
    > There are several depencies, but installing with yast it should work.


    11.0 :
    http://api.opensuse-community.org/se...94b119036d7afa

    One click install from http://packages.opensuse-community.org/

    houghi
    --
    houghi http://houghi.org http://www.plainfaqs.org/linux/
    http://www.netmeister.org/news/learn2quote.html
    >
    > Today I went outside. My pupils have never been tinier...


  9. Re: Last FM Installation

    On Sun, 31 Aug 2008 16:51:35 +0100, Chris Gordon-Smith wrote:

    > I can find this for SUSE 10.3, but not for SUSE 11.0. The SUSE 10.3
    > version refuses to install, saying that it needs libmad.so.0.


    Then install libmad.

    I prefer to use Amarok or Rhythmbox as they report back to last.fm and I
    don't then need any additional software running.

    --
    Rob
    To reply, remove zudo

  10. Re: Last FM Installation

    The Doctor wrote:

    > On Sun, 31 Aug 2008 16:51:35 +0100, Chris Gordon-Smith wrote:
    >
    >> I can find this for SUSE 10.3, but not for SUSE 11.0. The SUSE 10.3
    >> version refuses to install, saying that it needs libmad.so.0.

    >
    > Then install libmad.
    >

    The SUSE installer is usuall smart enough to pull in required packages if it
    can. I don't try to outsmart it - I think that could well lead to
    dependency hell.

    > I prefer to use Amarok or Rhythmbox as they report back to last.fm and I
    > don't then need any additional software running.
    >



  11. Re: Last FM Installation

    houghi wrote:

    > Klaus Petsch wrote:
    >> Hi Gordon
    >>
    >> Chris Gordon-Smith wrote:
    >>
    >>
    >>> Thanks.
    >>>
    >>> I can find this for SUSE 10.3, but not for SUSE 11.0. The SUSE 10.3
    >>> version refuses to install, saying that it needs libmad.so.0.

    >> Here it is:
    >> http://packman.links2linux.de/package/lastfm
    >> There are several depencies, but installing with yast it should work.

    >
    > 11.0 :
    >

    http://api.opensuse-community.org/se...94b119036d7afa
    >
    > One click install from http://packages.opensuse-community.org/
    >
    > houghi


    Thanks! That works fine.

    Chris Gordon-Smith
    www.simsoup.info


+ Reply to Thread